﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] yValueArray = DataGen.RandomWalk(1000);

            SignalPlot signalPlot = plot.AddSignal(yValueArray);

            signalPlot.FillAboveAndBelow(Color.Green, Color.Red);

            signalPlot.BaselineY = 7;
            signalPlot.Color     = Color.Black;

            plot.Margins(x: 0);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}